WhitelistBasedTrustedChannelResolver (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol.datatransfer, class: WhitelistBasedTrustedChannelResolver

Package org.apache.hadoop.hdfs.protocol.datatransfer

# Class WhitelistBasedTrustedChannelResolver

java.lang.Object
org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver
org.apache.hadoop.hdfs.protocol.datatransfer.WhitelistBasedTrustedChannelResolver

All Implemented Interfaces:
  `org.apache.hadoop.conf.Configurable`

public class WhitelistBasedTrustedChannelResolver extends org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DFS_DATATRANSFER_CLIENT_FIXEDWHITELIST_FILE`
  Path to the file to containing subnets and ip addresses to form fixed whitelist.
  `static final String`
  `DFS_DATATRANSFER_CLIENT_VARIABLEWHITELIST_CACHE_SECS`
  time in seconds by which the variable whitelist file is checked for updates
  `static final String`
  `DFS_DATATRANSFER_CLIENT_VARIABLEWHITELIST_ENABLE`
  Enables/Disables variable whitelist
  `static final String`
  `DFS_DATATRANSFER_CLIENT_VARIABLEWHITELIST_FILE`
  Path to the file to containing subnets and ip addresses to form variable whitelist.
  `static final String`
  `DFS_DATATRANSFER_SERVER_FIXEDWHITELIST_FILE`
  Path to the file to containing subnets and ip addresses to form fixed whitelist.
  `static final String`
  `DFS_DATATRANSFER_SERVER_VARIABLEWHITELIST_CACHE_SECS`
  time in seconds by which the variable whitelist file is checked for updates
  `static final String`
  `DFS_DATATRANSFER_SERVER_VARIABLEWHITELIST_ENABLE`
  Enables/Disables variable whitelist
  `static final String`
  `DFS_DATATRANSFER_SERVER_VARIABLEWHITELIST_FILE`
  Path to the file to containing subnets and ip addresses to form variable whitelist.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WhitelistBasedTrustedChannelResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isTrusted()`
  `boolean`
  `isTrusted(InetAddress clientAddress)`
  `void`
  `setConf(org.apache.hadoop.conf.Configuration conf)`

  ### Methods inherited from class org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver

  `getConf, getInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DFS_DATATRANSFER_SERVER_FIXEDWHITELIST_FILE

    public static final String DFS_DATATRANSFER_SERVER_FIXEDWHITELIST_FILE
    Path to the file to containing subnets and ip addresses to form fixed whitelist.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_SERVER_VARIABLEWHITELIST_ENABLE

    public static final String DFS_DATATRANSFER_SERVER_VARIABLEWHITELIST_ENABLE
    Enables/Disables variable whitelist
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_SERVER_VARIABLEWHITELIST_FILE

    public static final String DFS_DATATRANSFER_SERVER_VARIABLEWHITELIST_FILE
    Path to the file to containing subnets and ip addresses to form variable whitelist.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_SERVER_VARIABLEWHITELIST_CACHE_SECS

    public static final String DFS_DATATRANSFER_SERVER_VARIABLEWHITELIST_CACHE_SECS
    time in seconds by which the variable whitelist file is checked for updates
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_CLIENT_FIXEDWHITELIST_FILE

    public static final String DFS_DATATRANSFER_CLIENT_FIXEDWHITELIST_FILE
    Path to the file to containing subnets and ip addresses to form fixed whitelist.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_CLIENT_VARIABLEWHITELIST_ENABLE

    public static final String DFS_DATATRANSFER_CLIENT_VARIABLEWHITELIST_ENABLE
    Enables/Disables variable whitelist
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_CLIENT_VARIABLEWHITELIST_FILE

    public static final String DFS_DATATRANSFER_CLIENT_VARIABLEWHITELIST_FILE
    Path to the file to containing subnets and ip addresses to form variable whitelist.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_CLIENT_VARIABLEWHITELIST_CACHE_SECS

    public static final String DFS_DATATRANSFER_CLIENT_VARIABLEWHITELIST_CACHE_SECS
    time in seconds by which the variable whitelist file is checked for updates
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WhitelistBasedTrustedChannelResolver

    public WhitelistBasedTrustedChannelResolver()

- ## Method Details

  - ### setConf

    public void setConf(org.apache.hadoop.conf.Configuration conf)
    Specified by:
      `setConf` in interface `org.apache.hadoop.conf.Configurable`
    Overrides:
      `setConf` in class `org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver`

  - ### isTrusted

    public boolean isTrusted()
    Overrides:
      `isTrusted` in class `org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver`

  - ### isTrusted

    public boolean isTrusted(InetAddress clientAddress)
    Overrides:
      `isTrusted` in class `org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver`